#!/usr/bin/perl -w

# Copyright 2016, 2017 Kevin Ryde
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# This file is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this file.  If not, see <http://www.gnu.org/licenses/>.


use 5.004;
use strict;
use Math::PlanePath::AlternatePaper 117; # v.117 for level_to_n_range()

use FindBin;
use lib $FindBin::Bin;
use MyAlternate ':all';
use MyPrintwrap ':all';


my $n_max = 8;

print "  % generated by tools/$FindBin::Script\n";
my $path = Math::PlanePath::AlternatePaper->new;

{
  $Printwrap = 2;
  printwrap("\\draw[dashed] ");
  my $join = '';
  $Printwrap += 2;
  foreach my $n (0 .. $n_max) {
    my ($x,$y) = $path->n_to_xy($n);
    printwrap("$join($x,$y)");
    $join = '--';
  }
  my ($x,$y) = $path->n_to_xy($n_max + 1);
  printwrap("$join($x,$y);\n");
}
{
  $Printwrap = 2;
  printwrap("\\draw[thick] ");
  my $join = '';
  $Printwrap += 2;
  foreach my $n (0 .. $n_max) {
    my ($x,$y) = $path->n_to_xy($n+.5);
    printwrap(" $join($x,$y) node[my dot]");
    $join = '--';
  }
  my ($x1,$y1) = $path->n_to_xy($n_max+.5);
  my ($x2,$y2) = $path->n_to_xy($n_max+1.5);
  my $x = $x1 + ($x2-$x1)*.3;
  my $y = $y1 + ($y2-$y1)*.3;
  printwrap("$join($x,$y);\n");
}

print "  % end generated\n";
exit 0;
